View Issue Details

IDProjectCategoryView StatusLast Update
0021551mantisbtadministrationpublic2017-07-27 16:30
ReportervboctorAssigned Tocommunity 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version2.0.0-beta.1 
Target Version2.1.0Fixed in Version2.1.0 
Summary0021551: Manage Users pagination loses filter letter
Description
  • Go to Manage - Manage Users
  • Click a letter to filter by, e.g. M
  • Click Next or a page number.

You will notice that the page will go from 1 to 2. But instead of letter M first page, it will go to All letters second page.

Tagsmantishub, modern-ui

Relationships

related to 0023166 closedatrol CVE-2017-12062: XSS in manage_user_page.php 

Activities

noe

noe

2017-01-09 11:12

reporter   ~0054994

Hello and happy new year !
This bug is still present in 2.0.0.

atrol

atrol

2017-01-09 15:57

developer   ~0055001

We had this piece of code in former versions of manage_user_page.php

    if( $t_prefix === $f_filter ) {
        $c_filter = $f_filter;

Now $c_filter is alway set to empty string, so the generated URL does no longer contain a filter letter.

Related Changesets

MantisBT: master dd6dd9f7

2017-01-19 07:17:02

Sebastian Limbach


Committer: dregad Details Diff
Fixed pagination of user management

Fixes 0021551
mod - manage_user_page.php Diff File

Issue History

Date Modified Username Field Change
2016-07-26 23:50 vboctor New Issue
2016-07-26 23:50 vboctor Tag Attached: mantishub
2016-07-26 23:50 vboctor Tag Attached: modern-ui
2017-01-09 11:12 noe Note Added: 0054994
2017-01-09 15:57 atrol Status new => confirmed
2017-01-09 15:57 atrol Note Added: 0055001
2017-01-19 08:08 dregad Changeset attached => MantisBT master dd6dd9f7
2017-01-19 08:08 dregad Assigned To => dregad
2017-01-19 08:08 dregad Status confirmed => resolved
2017-01-19 08:08 dregad Resolution open => fixed
2017-01-19 08:08 dregad Fixed in Version => 2.1.0
2017-01-19 08:09 dregad Assigned To dregad => community
2017-01-19 08:09 dregad Target Version => 2.1.0
2017-01-31 04:02 vboctor Status resolved => closed
2017-07-27 16:30 atrol Relationship added related to 0023166